Bug 815720 - Review Request: jboss-jaxr-1.0-api - Java(TM) API for XML Registries 1.0 (JAXR)
Review Request: jboss-jaxr-1.0-api - Java(TM) API for XML Registries 1.0 (JAXR)
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
: 819021 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2012-04-24 07:09 EDT by gil cattaneo
Modified: 2012-05-26 03:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-05-26 03:49:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgoldman: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-04-24 07:09:36 EDT
Spec URL: http://gil.fedorapeople.org/jboss-jaxr-1.0-api.spec
SRPM URL: http://gil.fedorapeople.org/jboss-jaxr-1.0-api-1.0.2-1.fc16.src.rpm
Description: JSR 93: Java(TM) API for XML Registries 1.0 (JAXR)
Comment 1 Marek Goldmann 2012-05-07 15:53:42 EDT
Package Review

- = N/A
x = Check
! = Problem
? = Not evaluated

[x]  Rpmlint output:

$ rpmlint SPECS/jboss-jaxr-1.0-api.spec 
SPECS/jboss-jaxr-1.0-api.spec: W: invalid-url Source0: jboss-jaxr-1.0-api-1.0.2.Final.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings

$ rpmlint SRPMS/jboss-jaxr-1.0-api-1.0.2-1.fc17.src.rpm 
jboss-jaxr-1.0-api.src: I: enchant-dictionary-not-found en_US
jboss-jaxr-1.0-api.src: W: invalid-url URL: http://www.jboss.org/ HTTP Error 403: Forbidden
jboss-jaxr-1.0-api.src: W: invalid-url Source0: jboss-jaxr-1.0-api-1.0.2.Final.tar.xz
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint RPMS/noarch/jboss-jaxr-1.0-api-1.0.2-1.fc17.noarch.rpm 
jboss-jaxr-1.0-api.noarch: I: enchant-dictionary-not-found en_US
jboss-jaxr-1.0-api.noarch: W: invalid-url URL: http://www.jboss.org/ HTTP Error 403: Forbidden
jboss-jaxr-1.0-api.noarch: E: incorrect-fsf-address /usr/share/doc/jboss-jaxr-1.0-api-1.0.2/LICENSE
1 packages and 0 specfiles checked; 1 errors, 1 warnings.

FSF address mentioned upstream.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: CDDL or GPLv2 with exceptions
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : 96e36c9594886a1aec34e0da5302cad3
MD5SUM upstream package: 96e36c9594886a1aec34e0da5302cad3
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[ ]  Reviewer should test that the package builds in mock.
Tested on:


*** APPROVED ***
Comment 2 gil cattaneo 2012-05-08 03:30:46 EDT
New Package SCM Request
Package Name: jboss-jaxr-1.0-api
Short Description: Java(TM) API for XML Registries 1.0 (JAXR)
Owners: gil
Branches: f16 f17
InitialCC: java-sig
Comment 3 Gwyn Ciesla 2012-05-08 08:36:59 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2012-05-08 09:53:45 EDT
jboss-jaxr-1.0-api-1.0.2-1.fc17 has been submitted as an update for Fedora 17.
Comment 5 Fedora Update System 2012-05-09 12:10:04 EDT
jboss-jaxr-1.0-api-1.0.2-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 6 Marek Goldmann 2012-05-10 12:17:01 EDT
*** Bug 819021 has been marked as a duplicate of this bug. ***
Comment 7 Fedora Update System 2012-05-26 03:49:19 EDT
jboss-jaxr-1.0-api-1.0.2-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.